body {
    color: #000;
}

.carousel-item {
    justify-content: center;
    align-items: center;
    height: auto;
    width: 100%;
    color: #000;
}

.carousel-inner {
    position: relative;
    width: 100%;
    overflow: hidden;
    border-radius: 10px;
}

.carousel-item img {
    border-radius: 10px;
    margin-bottom: 10px;
    object-fit: cover;
    object-position: center;
    max-height: 100vh;
    width: 100%;
}

.borde-container {
    border-radius: var(--bs-border-radius-lg);
    --bs-border-opacity: 1;

}

.hotel-title {
    text-align: center;
    font-size: 36px;
    padding-top: 2rem;
    padding-bottom: 2rem;
    font-weight: bold;
    /* text-decoration: underline; */
}

.rating {
    color: #FFD700;
    /* Warna bintang (kuning emas) */
    font-size: 1rem;
    /* Ukuran bintang */
}

@media (max-width: 767px) {
    .carousel-item {
        height: auto;
        /* Ensures the container is also 40% of the viewport height */
    }
}

@media (min-width: 1080px) {
    .carousel-item {
        height: auto;
        /* Ensures the container is also 40% of the viewport height */
    }
}

.floating-back-button {
    position: fixed;
    right: 20px;
    top: 50%;
    transform: translateY(-50%);
    text-align: center;
    z-index: 1000;
}

.back-link {
    display: block;
    text-decoration: none;
    color: #000;
    font-weight: bold;
}

.back-icon {
    width: 80px !important;
    height: 80px !important;
    display: block;
    margin: 0 auto;
}

.back-link span {
    display: block;
    margin-top: 5px;
    font-size: 14px;
}


/* styles.css */
.loading-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(255, 255, 255, 0.8);
    z-index: 9999;
    display: none;
    justify-content: center;
    align-items: center;
}

.loading-overlay .spinner {
    border: 8px solid rgba(0, 0, 0, 0.1);
    border-left-color: #000;
    border-radius: 50%;
    width: 60px;
    height: 60px;
    animation: spin 1s linear infinite;
}

@keyframes spin {
    100% {
        transform: rotate(360deg);
    }
}